HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Patch Request to update a Switch object

Update a switch object using JSON patch(es) with its UUID.
The following patch ops are supported:

  • replace

The following patch paths are supported:

  • /description
  • /name
  • /exclude_from_dsm
  • /fabric_uuid
  • /role
  • /hostname
  • /auto_save_interval
  • /skip_lldp_initialization
  • /skip_ports_initialization
  • /reserved_vlans_base
  • /reserved_vlans
  • /vlans
  • /icmp_redirect_disable
  • /software_state
  • /profiles/configured
  • /uplink_to_uplink

Notes:

  • when /fabric_uuid is given with any other path, the operation to apply the fabric_uuid change will be applied last.
  • reserved_vlans_base and reserved_vlans must be used together and not with fabric_uuid in the same request
  • reserved_vlans_base can have the following possible values:
    • 0: there are no reserved vlans
    • Any single value in the range 2 - 4094
  • reserved_vlans can have a max value of 256 - this determines the number of VLANs past the value of reserved_vlans_base which will be reserved
  • e.g. a request with reserved_vlans_base: 3000 and reserved_vlans: 25 will result in the reservation of VLANs 3000 through 3025
  • /hostname only changes the FQDN/IP of the device that AFC communicates with, not the host name on the switch itself
  • /profiles/configured Switch profile configuration based on the available profile, it requires switch reboot to activate the profile
  • /software_state may only be cleared - i.e. value = ''.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Apply an array of patches to switch resources.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0